import * as $dara from '@darabonba/typescript';
export declare class SaveSuspEventUserSettingRequest extends $dara.Model {
    /**
     * @remarks
     * The data source of the exception. Set the value to sas.
     *
     * @example
     * sas
     */
    from?: string;
    /**
     * @remarks
     * The severities of alert notifications. Valid values:
     *
     * *   **remind**
     * *   **suspicious**
     * *   **serious**
     *
     * @example
     * suspicious,serious,remind
     */
    levelsOn?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
